select RLN.RLN_ID
from REQUIREMENT_VERSION RV
		 inner join MILESTONE_REQ_VERSION M on M.REQ_VERSION_ID = RV.RES_ID
		 join REQUIREMENT_LIBRARY_NODE RLN on RV.REQUIREMENT_ID = RLN.RLN_ID
where M.MILESTONE_ID in (:milestones)
and RLN.PROJECT_ID in (:projectIds)
